Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.functions.strings
Class Substring

    java.lang.Object
      com.singularsys.jep.functions.PostfixMathCommand
          com.singularsys.jep.functions.NaryFunction
              com.singularsys.jep.functions.strings.Substring

All Implemented Interfaces:
  PostfixMathCommandI, java.io.Serializable

    public class Substring

extends NaryFunction

Extract substring of first argument: substring("abcdefg",2,4) -> "cd". Syntax `substring(str,start,[end])`. Second argument is starting index, third argument is optional, if not present return rest of string if present third argument is the ending index, exclusive. Note that the indices are zero-based.

- If `start` is greater than the length of the string an EvaluationException is thrown.
- If `start` is less than zero an EvaluationException is thrown.
- If `end` is less than start an EvaluationException is thrown.
- If `end` is greater than the length of the string an EvaluationException is thrown.
- If `str` is not a string an EvaluationException is thrown.

- If `start` is not a number representing an integer an EvaluationException is thrown.
- If `end` is not a number representing an integer an EvaluationException is thrown.

  See Also:
    `String.substring(int, int)`, Serialized Form

  Field Summary

  Fields inherited from class com.singularsys.jep.functions.PostfixMathCommand
  `curNumberOfParameters, name, NaN, numberOfParameters`

  Constructor Summary
  `Substring()`

  Method Summary
  `boolean` | `checkNumberOfParameters(int n)` Checks the number of parameters of the function.
  `java.lang.Object` | `eval(java.lang.Object[] args)`

  Methods inherited from class com.singularsys.jep.functions.NaryFunction
  `run`

  Methods inherited from class com.singularsys.jep.functions.PostfixMathCommand
  `asArray, asBool, asDouble, asInt, asLong, asStrictInt, asString, checkStack, getName, getNumberOfParameters, setCurNumberOfParameters, setName, toString`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Constructor Detail

  ### Substring

      public Substring()

  Method Detail

  ### checkNumberOfParameters

      public boolean checkNumberOfParameters(int n)

    Description copied from class: `PostfixMathCommand`
    Checks the number of parameters of the function. Functions which set numberOfParameter=-1 should overload this method

    Specified by:
      `checkNumberOfParameters` in interface `PostfixMathCommandI`
    Overrides:
      `checkNumberOfParameters` in class `PostfixMathCommand`
    Parameters:
      `n` - number of parameters function will be called with.
    Returns:
      false if an illegal number of parameters is supplied, true otherwise.

  ### eval

      public java.lang.Object eval(java.lang.Object[] args)
                            throws EvaluationException

    Specified by:
      `eval` in class `NaryFunction`
    Throws:
      `EvaluationException`

  Overview | Package | Class | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2008 Singular Systems http://www.singularsys.com/jep